Opt Ins
Define a set of opt ins for your customers regarding marketing communications.
Opt-in types
There are 3 types:
- Mandatory (
40001) - Optional opt-out (
40002) - Optional opt-in (
40003)
Mandatory
This type uses the fields yescaption and nocaption to present the opt-in to the user. The user will either need to accept or decline.
Optional opt-out
This type uses the field caption and by default the user accepts the opt-in. If the user wants to decline he will need to tick the checkbox.
Optional opt-in
This type uses the field caption and works the other way around: by default the user declines the opt-in. If the user wants to accept he will need to tick the checkbox.
Operations
- Get a list of opt ins GET /api/1/{accountname}/settings/system/optins
- Get a single opt in GET /api/1/{accountname}/settings/system/optins/{id}
- Create a new opt in POST /api/1/{accountname}/settings/system/optins
- Modify an existing opt in PUT /api/1/{accountname}/settings/system/optins/{id}
- Remove an opt in DELETE /api/1/{accountname}/settings/system/optins/{id}
- Fetch translatable fields GET /api/1/{accountname}/settings/system/optins/{id}/translate
- Update translations PUT /api/1/{accountname}/settings/system/optins/{id}/translate